for (var i = 0; torchArray [i] != undefined; i++)
{if (torchArray [i] [0] != false) {if (world.getBlockID(torchArray [i] [1] [0], torchArray [i] [1] [1], 
torchArray [i] [1] [2]) != 50) {torchArray [i] [0] = false;
world.setBlockID(torchArray [i] [1] [0], torchArray [i] [1] [1], torchArray [i] [1] [2], 0);}
if (torchArray [i] [2] <= gameTiming)  {torchArray [i] [0] = false;
world.setBlockID(torchArray [i] [1] [0], torchArray [i] [1] [1], torchArray [i] [1] [2], 0);}}

if (getBlock != null && torchArray [i] [1] [0] == getBlock.x && torchArray [i] [1] [1] == getBlock.y
&& torchArray [i] [1] [2] == getBlock.z) {torchLabel.alpha = 1;
torchLabel.v = 45.5*Math.floor((gameTiming - torchArray [i] [3])/ (torchArray [i] [2] - torchArray [i] [3])*5);}
else {if (torchLabel.alpha > 0) {torchLabel.alpha -= 0.05;}}} 